@extends('layouts.main')

@section('content')
    <section class="section section-inset-1">
        <div class="container">
            <h2>Подтверждение по электронной почте</h2>
            <hr>
            <div class="row">
                <div class="col-xs-12 col-md-8 col-md-offset-2">
                    <div class="row offset-5">
                        <div class="col-lg-6 col-lg-offset-3">
                            <form class="rd-mailform text-left" method="POST" action="{{ route('verifySend') }}">

                                @csrf
                                <div class="form-wrap">
                                    <input id="email" type="number"
                                           class="form-input{{ $errors->has('code') ? ' is-invalid' : '' }}"
                                           name="code" data-constraints="@Required" value=""
                                           placeholder="Пожалуйста, введите код подтверждения" required autofocus>

                                    @if ($errors->has('verifyCode'))
                                        <span class="invalid-feedback">
                                        <strong>{{ $errors->first('verifyCode') }}</strong>
                                    </span>
                                    @endif
                                </div>

                                <div class="button-wrap text-center">
                                    <button class="btn btn-primary btn-sm btn-min-width-lg" type="submit">Отправить
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <script>
        $('div span img').css('margin-top: 20px;\n' +
            '    border-radius: 5px;\n' +
            '    box-shadow: 0px 0px 2px 1px;');
    </script>



@endsection
